Bug 57758 - Segmentation Fault making bzImage: dev.c:546
Summary: Segmentation Fault making bzImage: dev.c:546
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-21 06:21 UTC by Gregory Stevens
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 23:25:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
custom kernel make config file (11.31 KB, text/plain)
2001-12-21 06:23 UTC, Gregory Stevens
no flags Details

Description Gregory Stevens 2001-12-21 06:21:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
The bad stuff starts with:
dev.c: In function 'dev_getbyhwaddr'
dev.c:546: Internal Error. Segmentation fault.
Encountered this while making a kernel with source 2.4.16
"make bzImage" will halt in the above dir

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run 'make xconfig', turned on option for "development and/or incomplete 
code/drivers", config as attached file small.txt
2.do a 'make dep' - no errors
3.do a 'make clean'
4.do a 'time make bzImage' 

	

Actual Results:  4.5 minutes into 'time make bzImage' --> Segmentation 
fault

Expected Results:  Expected the kernel to finish compile

Additional info:

This is on a machine running whatever kernel ships with Redhat 7.2
The machine is an Intel Celeron @550, on an ASUS CUSI-FX mobo w/512M 
physical RAM, 8K shared for VGA in bios.

Comment 1 Gregory Stevens 2001-12-21 06:23:52 UTC
Created attachment 41167 [details]
custom kernel make config file

Comment 2 Gregory Stevens 2001-12-28 00:46:56 UTC
I cannot seem to repro this anymore.  Less aggressive memory timings in my 
machine's bios settings make this problem vanish.  Sorry for the wasted 
bandwidth.  Splat.

-Greg


Note You need to log in before you can comment on or make changes to this bug.